Delete Post
curl --request DELETE \
--url https://public.reap.video/api/v1/automation/delete-post \
--header 'Authorization: Bearer <token>'import requests
url = "https://public.reap.video/api/v1/automation/delete-post"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://public.reap.video/api/v1/automation/delete-post', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://public.reap.video/api/v1/automation/delete-post",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://public.reap.video/api/v1/automation/delete-post"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://public.reap.video/api/v1/automation/delete-post")
.header("Authorization", "Bearer <token>")
.asString();{
"postId": "<string>",
"deleted": true
}Publishing
Delete Post
Delete a publisher post
DELETE
/
automation
/
delete-post
Delete Post

For AI agents: a documentation index is at /llms.txt. Every page is also available as markdown, just append .md to the URL.
Overview
Delete a publisher post. Scheduled posts will have their schedule automatically cancelled. Posts that are currently processing cannot be deleted.Rate Limiting
This endpoint is rate limited to 10 requests per minute per API key.Cannot delete posts that are currently processing. Scheduled posts will have their schedule cancelled automatically.
Response
ID of the deleted post
Always
true on successExample Request
curl -X DELETE "https://public.reap.video/api/v1/automation/delete-post?postId=67b1c2d3e4f5a6b7c8d9e0f1" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json"
const postId = '67b1c2d3e4f5a6b7c8d9e0f1';
const response = await fetch(`https://public.reap.video/api/v1/automation/delete-post?postId=${postId}`, {
method: 'DELETE',
headers: {
'Authorization': 'Bearer YOUR_API_KEY',
'Content-Type': 'application/json'
}
});
const data = await response.json();
console.log(`Deleted: ${data.deleted}`);
import requests
headers = {
'Authorization': 'Bearer YOUR_API_KEY',
'Content-Type': 'application/json'
}
post_id = '67b1c2d3e4f5a6b7c8d9e0f1'
response = requests.delete(
f'https://public.reap.video/api/v1/automation/delete-post?postId={post_id}',
headers=headers
)
data = response.json()
print(f"Deleted: {data['deleted']}")
<?php
$postId = '67b1c2d3e4f5a6b7c8d9e0f1';
$ch = curl_init('https://public.reap.video/api/v1/automation/delete-post?postId=' . $postId);
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'DELETE');
curl_setopt($ch, CURLOPT_HTTPHEADER, [
'Authorization: Bearer YOUR_API_KEY',
'Content-Type: application/json'
]);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
$response = curl_exec($ch);
curl_close($ch);
$data = json_decode($response, true);
echo 'Deleted: ' . ($data['deleted'] ? 'true' : 'false') . "\n";
?>
package main
import (
"encoding/json"
"fmt"
"io/ioutil"
"net/http"
)
type DeleteResponse struct {
PostID string `json:"postId"`
Deleted bool `json:"deleted"`
}
func main() {
postId := "67b1c2d3e4f5a6b7c8d9e0f1"
url := fmt.Sprintf("https://public.reap.video/api/v1/automation/delete-post?postId=%s", postId)
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Set("Authorization", "Bearer YOUR_API_KEY")
req.Header.Set("Content-Type", "application/json")
client := &http.Client{}
resp, _ := client.Do(req)
defer resp.Body.Close()
body, _ := ioutil.ReadAll(resp.Body)
var result DeleteResponse
json.Unmarshal(body, &result)
fmt.Printf("Post %s deleted: %t\n", result.PostID, result.Deleted)
}
import java.io.*;
import java.net.HttpURLConnection;
import java.net.URL;
public class DeletePostExample {
public static void main(String[] args) throws Exception {
String postId = "67b1c2d3e4f5a6b7c8d9e0f1";
URL url = new URL("https://public.reap.video/api/v1/automation/delete-post?postId=" + postId);
HttpURLConnection conn = (HttpURLConnection) url.openConnection();
conn.setRequestMethod("DELETE");
conn.setRequestProperty("Authorization", "Bearer YOUR_API_KEY");
conn.setRequestProperty("Content-Type", "application/json");
BufferedReader br = new BufferedReader(new InputStreamReader(conn.getInputStream(), "utf-8"));
StringBuilder response = new StringBuilder();
String responseLine;
while ((responseLine = br.readLine()) != null) {
response.append(responseLine.trim());
}
System.out.println(response.toString());
}
}
Example Response
Was this page helpful?
⌘I